Index: DataLoader/readers/IgorReader.py
===================================================================
--- DataLoader/readers/IgorReader.py	(revision 2fd516b3b48ecf8acd3ff3a9ec83eb52fb5b4685)
+++ DataLoader/readers/IgorReader.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
@@ -2,5 +2,5 @@
 import pylab
 from copy import deepcopy
-import math
+import math,logging
 class Reader:
     """ Simple data reader for Igor data files """
@@ -165,5 +165,5 @@
         self.center_x = center_x
         self.center_y = center_y
-        print "IgorReader reading %s"%self.file
+        logging.info("IgorReader reading %s"%self.file)
         return Z, xmin-xstep/2.0, xmax+xstep/2.0, ymin-ystep/2.0, ymax+ystep/2.0
      
Index: DataLoader/readers/TXT2_Reader.py
===================================================================
--- DataLoader/readers/TXT2_Reader.py	(revision 8dac49d32e54e0e6e0afc41639432bd3c2aa4838)
+++ DataLoader/readers/TXT2_Reader.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
@@ -1,5 +1,5 @@
 # class Loader  to load any king of file
 import wx
-import string,numpy
+import string,numpy,logging
 class Reader:
     """
@@ -27,5 +27,8 @@
                 return None
             else:
-                input_f =  open(path,'r')
+                try:
+                    input_f =  open(path,'r')
+                except :
+                    raise  RuntimeError,"TXT2_Reader cannot open %s"%(path)
                 buff = input_f.read()
                 lines = buff.split('\n')
@@ -63,5 +66,5 @@
                     #msg="R1 reading: \n"+"this x :"+ str(self.x) +"\n"+"this y:"+str(self.y)+"\n"+"this dy :"+str(self.dy)+"\n"
                     #return msg
-                    print "TXT2_Reader reading  %s\n" %path
+                    logging.info("TXT2_Reader reading  %s\n" %path)
                     return self.x,self.y,self.dy
         return None
Index: DataLoader/readers/TXT3_Reader.py
===================================================================
--- DataLoader/readers/TXT3_Reader.py	(revision 1b0b3caf0d36b06b15063e0f874716be68bc2984)
+++ DataLoader/readers/TXT3_Reader.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
@@ -1,5 +1,5 @@
 # class Loader  to load any king of file
 import wx
-import string,numpy
+import string,numpy,logging
 class Reader:
     """
@@ -31,5 +31,8 @@
                 return None
             else:
-                input_f =  open(path,'r')
+                try:
+                    input_f =  open(path,'r')
+                except :
+                    raise  RuntimeError,"TXT3_Reader cannot open %s"%(path)
                 buff = input_f.read()
                 lines = buff.split('\n')
@@ -65,5 +68,5 @@
                     #msg="txtReader  Reading:\n"+"this x :"+ str(self.x) +"\n"+"this y:"+str(self.y)+"\n"+"this dy :"+str(self.dy)+"\n"
                     #return msg
-                    print "TXT3_Reader reading %s \n" %path
+                    logging.info("TXT3_Reader reading %s \n" %path)
                     return self.x,self.y,self.dy
                 
Index: DataLoader/readers/danse_reader.py
===================================================================
--- DataLoader/readers/danse_reader.py	(revision c125e0c0a070d9e2df2b41c47a399ab68ac05667)
+++ DataLoader/readers/danse_reader.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
@@ -7,4 +7,5 @@
 import copy
 import numpy
+import logging
 class ReaderInfo:
     """
@@ -61,6 +62,9 @@
                 
         if read_it:
-            
-            datafile = open(filename, 'r')
+            try:
+                 datafile = open(filename, 'r')
+            except :
+                raise  RuntimeError,"danse_reader cannot open %s"%(filename)
+            
             
             # defaults
@@ -126,6 +130,7 @@
                             error.append(err)
                         except:
-                            print "Skipping line:%s" % data_str
-                            print sys.exc_value
+                            logging.info("Skipping line:%s,%s" %( data_str,sys.exc_value))
+                            #print "Skipping line:%s" % data_str
+                            #print sys.exc_value
             
             # Initialize 
@@ -209,5 +214,5 @@
                 raise ValueError,"Danse_reader can't read this file %s"%filename
             else:
-                print "Danse_reader Reading %s \n"%filename
+                logging.info("Danse_reader Reading %s \n"%filename)
                 return output
         
Index: DataLoader/readers/tiff_reader.py
===================================================================
--- DataLoader/readers/tiff_reader.py	(revision 3dd7cce4a558d0fc8b36bb5276e3f499f5f8a04c)
+++ DataLoader/readers/tiff_reader.py	(revision 8d6440f96618cd67430e155f2bf52d5f801dd467)
@@ -1,5 +1,5 @@
 
 import Image
-import math
+import math,logging
 class ReaderInfo:
     """
@@ -46,4 +46,5 @@
         
     def read(self, filename=None):
+        print "in tiff"
         """
             Open and read the data in a file
@@ -144,5 +145,6 @@
             output.image      = Z
             output.pixel_size = pixel
-                
+            logging.info("tiff_reader reading %s"%(filename))
+            
             return output
         
